package com.demoqa.docs;


import com.codeborne.selenide.Configuration;
import org.junit.jupiter.api.*;
import org.junit.jupiter.params.ParameterizedTest;

public class Junit5Examples {

    @ParameterizedTest // Анотация для запуска параметеризированных тестов.
    @DisplayName("отображение @DisplayName")// Анотация для отображения заголовка теста (если поставлен перед методом выполнится для метода ,
    // если поставить перед класом выполнится для класса использовать в случае если разрабт поправит баг более 3 запусков Тестирования проекта
    //Отображается в случае падения теста
    @Disabled // Анотация обозначающая пропуск теста (если поставлен перед методом выполнится для метода ,
    // если поставить перед класом выполнится для класса использовать в случае если разрабт поправит баг более 3 запусков Тестирования проекта

    @Test // Анотация для junit обозначающая что этот метод тестовый и его надо запустить в режиме тест
    void test(){

    }

    @BeforeAll
    static void beforeAll() {
        //Выполняется перед классом
        // Нужен для конфигурации запуска тестов .Выполняется перед классом наследником (BasePage)
    }

    @BeforeEach
    static void beforeEach() {
        //Выполняется перед методам
        // Нужен для конфигурации запуска каждого метода помеченного анотацией @Test
    }

    @AfterEach
    static void afterEach() {
        //Выполняется после каждого метода
        //Нужен для конфигурации каждого метода помеченного анотацией @Test
        System.out.println("AfterEach");
    }

    @AfterAll
    static void afterAll() {
        //Выполняется после классов наследником (BasePage)
        System.out.println("AfterAll");

    }
}
